Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7551 - Xconfigurator doesn't know Cyrix MediaGX can't do 1280x1024
Summary: Xconfigurator doesn't know Cyrix MediaGX can't do 1280x1024
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 16:24 UTC by Telsa Gwynne
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2001-02-09 22:44:49 UTC


Attachments (Terms of Use)

Description Telsa Gwynne 1999-12-03 16:24:36 UTC
Running 6.1 on a machine with a Cyrix MediaGX chip and 64megs RAM.
Had an old monitor that X worked with. Got a new one:a Sony CPD-110EST.

Ran Xconfigurator and it told me it had found settings for it, but the
ones it suggested were 1280x1024x8bit. Although the monitor might cope,
I'm told the MediaGX has a limit of 1024x768.

Called in friendly neighbourhood hacker (every home should have one) to
sort it out. I'm now using an XF86Config with
this in it:

# 1024x768 @ 76 Hz, 62.5 kHz hsync
# Modeline "1024x768"    85    1024 1032 1152 1360   768  784  787  823
Modeline "1024x768"    85    1024 1040 1152 1360   768  784  787  823

This is working fine.

So far :)

Comment 1 Trond Eivind Glomsrxd 2000-07-11 18:15:26 UTC
Does this work in Red Hat Linux 6.2?

Comment 2 Trond Eivind Glomsrxd 2000-07-26 14:20:15 UTC
Xconfigurator doesn't have a way to specify minimum/maximum resolution (also a
problem with LCD displays) - intend to fix this with a planned rewrite.

Comment 3 Trond Eivind Glomsrxd 2000-07-26 14:20:43 UTC
Oh - and of course, the workaround is to select the resoultion you know your
computer can handle.

Comment 4 Telsa Gwynne 2000-08-02 12:21:54 UTC
It does not work any better in 6.2.

The workaround only works if you are prepared to edit the
XF86Config file by hand. If I select combinations of resolutions
and depths in Xconfigurator, it claims to accept them and then
writes a non-working XF86Config.

Comment 5 Brock Organ 2001-02-09 22:44:11 UTC
Here is an update on the issue from Telsa, the reporter:

Date: Fri, 9 Feb 2001 08:44:37
+0000                                               
From: Telsa Gwynne
<hobbit@aloss.ukuu.org.uk>                                      
Subject: Cyrix MediaGX text-mode upgrade: step right
up!                           

...
                                                                                   
It's not all doom and gloom: Xconfigurator --preferxf3 gets
the                    
Cyrix right. Woo-hoo! Thank you! (Please someone with privs,
update                
#7551 so that everyone knows this is now working: unless you
can                   
see the other beta-team-only bug, you don't know that
Xconfigurator                
was fixed for 7.0, and I keep meeting people with Cyrixes and
no                   
working X because they don't know there's a new
Xconfigurator.)                    
                                                                                   
Telsa                                                                              



Note You need to log in before you can comment on or make changes to this bug.